package opazovalec;

import javax.microedition.lcdui.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class GlavniMeni extends List implements CommandListener { //MainMenu
  private static final int USER=0;
  private static final int SERVER=USER+1;
  private static final int HISTORY=SERVER+1;
  private static final int WATCH=HISTORY+1;

  public GlavniMeni () {
    super ("Opazovalec", List.IMPLICIT);
    append ("Uporabnik", null);
    append ("Streznik", null);
    append ("Zgodovina", null);
    append ("Opazuj!", null);
    try {
      jbInit ();
    }
    catch (Exception ex) {
      ex.printStackTrace ();
    }
  }

  private void jbInit () throws Exception {
    setCommandListener (this);
    addCommand (new Command ("Izhod", Command.EXIT, 1));
  }

  public void commandAction (Command command, Displayable displayable) {
    if (command.getCommandType ()==Command.EXIT) {
      Opazovalec.instance.quitApp ();
    } else {
      switch (getSelectedIndex ()) {
        case USER:
          Display.getDisplay (Opazovalec.instance).setCurrent (new NastavitveUporabnika (this));
          break;
        case SERVER:
          Display.getDisplay (Opazovalec.instance).setCurrent (new NastavitveStreznika (this));
          break;
        case HISTORY:
          Display.getDisplay (Opazovalec.instance).setCurrent (new PrikazStrani (this, false));
          break;
        case WATCH:
          Display.getDisplay (Opazovalec.instance).setCurrent (new PrikazStrani (this, true));
          break;
      }
    }
  }

}
