package opazovalec;

import java.util.Vector;
import javax.microedition.lcdui.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class PrikazStrani extends List implements CommandListener, Runnable { //DisplayItems
  private boolean watch;
  private Vector displayedItems;
  private GlavniMeni parent;

  public PrikazStrani (GlavniMeni pParent, boolean pWatch) {
    super(Auxiliary.getTitle (pWatch), List.IMPLICIT);
    parent=pParent;
    watch=pWatch;
    try {
      jbInit();
    } catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    setCommandListener(this);
    addCommand (new Command ("Opazanja", Command.ITEM, 1));
    addCommand (new Command ("Zapri", Command.EXIT, 1));
    if (watch) {
      append ("Podatki se prenasajo.", null);
      new Thread (this).start ();
    } else {
      addCommand (new Command ("Brisi zgodovino", Command.SCREEN, 2));
      prikaziStrani ();
    }
  }

  private void prikaziStrani () { //displayItems
    int i, displayedItemSize;

    deleteAll ();
    displayedItems=Opazovalec.instance.strani.vrniStrani (watch);
    displayedItemSize=displayedItems.size ();
    for (i=0; i<displayedItemSize; i++) {
      append (((Stran)displayedItems.elementAt(i)).display(), null);
    }
    if (displayedItemSize==0) {
      if (watch) {
        append ("Opazenega ni bilo nicesar novega.", null);
      } else {
        append ("Zgodovine ni.", null);
      }
    }
  }

  public void commandAction (Command command, Displayable displayable) {
    int index;

    if (command.getCommandType ()==Command.ITEM) {
      index=getSelectedIndex ();
      if ((displayedItems.size ()>0) && (index>=0)) {
        Display.getDisplay (Opazovalec.instance).setCurrent (new PrikazPojavitev (this, (Stran)displayedItems.elementAt (index), watch));
      }
    } else {
      if (command.getCommandType ()==Command.SCREEN) {
        Opazovalec.instance.strani.removeAll ();
        prikaziStrani ();
      } else {
        Display.getDisplay (Opazovalec.instance).setCurrent (parent);
      }
    }
  }

  public void run () {
    String currItemStr;

    try {
      PovezavaSStreznikom.povezi ();
      PovezavaSStreznikom.pisi (Opazovalec.instance.getOption (Opazovalec.OPT_USERNAME));
      PovezavaSStreznikom.pisi (Opazovalec.instance.getOption (Opazovalec.OPT_PASSWORD));
      PovezavaSStreznikom.pisi ("OPAZUJ");
      while (!(currItemStr=PovezavaSStreznikom.beri ()).equalsIgnoreCase ("KONEC")) {
        Opazovalec.instance.strani.dodajStran (new Stran (currItemStr, true));
      }
    } catch (Exception ex) {
      deleteAll ();
      append ("Povezava ni uspela.", null);
      ex.printStackTrace ();
    } finally {
      PovezavaSStreznikom.prekini ();
    }
    prikaziStrani ();
  }
}
