package opazovalec;

import java.util.Vector;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class Stran { //WatchItem
  private boolean nova; //unseen
  private String naslov, kljucneBesede; //address, keywords
  private Vector pojavitve=new Vector (); //occurrences

  public Stran (String pItemStr, boolean pUnseen) {
    int i;
    Vector itemVector=Auxiliary.splitString (pItemStr, "|");

    naslov=(String)itemVector.elementAt (0);
    kljucneBesede=(String)itemVector.elementAt (1);
    for (i=2; i<itemVector.size (); i++) {
      pojavitve.addElement (new Pojavitev ((String)itemVector.elementAt (i), pUnseen));
    }
    nova=pUnseen;
  }

  public String getAddress () {
    return naslov;
  }

  public boolean getUnseen () {
    return nova;
  }

  public boolean merge (Stran pItem) {
    int i;

    if ((naslov.equalsIgnoreCase (pItem.naslov)) && (kljucneBesede.equalsIgnoreCase (pItem.kljucneBesede))) {
      for (i=0; i<pItem.pojavitve.size (); i++) {
        pojavitve.addElement (pItem.pojavitve.elementAt (i));
      }
      nova=true;
      return true;
    }
    return false;
  }

  public String display () {
    return naslov+"\n  ("+kljucneBesede+")";
  }

  public Vector vrniPojavitve (boolean pUnseen) { //getOccurrences
    int i;
    Vector unseen=new Vector ();
    Pojavitev currOccurrence;

    nova=false;
    if (pUnseen) {
      unseen=new Vector ();
      for (i=0; i<pojavitve.size (); i++) {
        currOccurrence=(Pojavitev)pojavitve.elementAt (i);
        if (currOccurrence.getUnseen ()) {
          unseen.addElement (currOccurrence);
        }
      }
      return unseen;
    } else {
      return pojavitve;
    }
  }

  public String save () {
    int i;
    StringBuffer result=new StringBuffer ();

    result.append (naslov+"|"+kljucneBesede+"|");
    for (i=0; i<pojavitve.size (); i++) {
      result.append (((Pojavitev)pojavitve.elementAt (i)).save ()+"|");
    }
    result.deleteCharAt (result.length ()-1);
    return result.toString ();
  }
}
