package opazovalec;

import java.util.Vector;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import javax.microedition.rms.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class Opazovalec extends MIDlet {
  public static final int OPT_USERNAME=0;
  public static final int OPT_PASSWORD=OPT_USERNAME+1;
  public static final int OPT_SERVERADDRESS=OPT_PASSWORD+1;
  public static final int OPT_SERVERPORT=OPT_SERVERADDRESS+1;
  public static Opazovalec instance;
  private String [] nastavitve=new String [4]; //options
  public Strani strani=new Strani (); //watchItems

  GlavniMeni displayable=new GlavniMeni ();

  public Opazovalec () {
    instance=this;
    loadOptions ("OpazovalecNas");
    loadWatchItems ("OpazovalecZgod");
  }

  private void loadOptions (String pRsName) {
    String strTemp;
    RecordStore recStore;
    RecordEnumeration recEnum;

    nastavitve [OPT_USERNAME]="";
    nastavitve [OPT_PASSWORD]="";
    nastavitve [OPT_SERVERADDRESS]="localhost";
    nastavitve [OPT_SERVERPORT]="1234";
    try {
      recStore=RecordStore.openRecordStore (pRsName, false);
      recEnum=recStore.enumerateRecords (null, null, true);
      while (recEnum.hasNextElement ()) {
        strTemp=new String (recEnum.nextRecord ());
        nastavitve [Integer.parseInt (strTemp.substring (0, 1))]=strTemp.substring (1);
      }
      recStore.closeRecordStore ();
    } catch (RecordStoreException ex) {
      ex.printStackTrace ();
    }
  }

  private void loadWatchItems (String pRsName) {
    String strTemp;
    RecordStore recStore;
    RecordEnumeration recEnum;

    try {
      recStore=RecordStore.openRecordStore (pRsName, false);
      recEnum=recStore.enumerateRecords (null, null, true);
      while (recEnum.hasNextElement ()) {
        strTemp=new String (recEnum.nextRecord ());
        instance.strani.dodajStran (new Stran (strTemp, false));
      }
      recStore.closeRecordStore ();
    } catch (RecordStoreException ex) {
      ex.printStackTrace ();
    }
  }

  private void saveOptions (String pRsName) {
    RecordStore recStore;

    try {
      RecordStore.deleteRecordStore (pRsName);
    } catch (RecordStoreException ex) {
      ex.printStackTrace ();
    }
    try {
      recStore=RecordStore.openRecordStore (pRsName, true);
      recStore.addRecord ((Integer.toString (OPT_USERNAME)+nastavitve [OPT_USERNAME]).getBytes (), 0, nastavitve [OPT_USERNAME].length ()+1);
      recStore.addRecord ((Integer.toString (OPT_PASSWORD)+nastavitve [OPT_PASSWORD]).getBytes (), 0, nastavitve [OPT_PASSWORD].length ()+1);
      recStore.addRecord ((Integer.toString (OPT_SERVERADDRESS)+nastavitve [OPT_SERVERADDRESS]).getBytes (), 0, nastavitve [OPT_SERVERADDRESS].length ()+1);
      recStore.addRecord ((Integer.toString (OPT_SERVERPORT)+nastavitve [OPT_SERVERPORT]).getBytes (), 0, nastavitve [OPT_SERVERPORT].length ()+1);
      recStore.closeRecordStore ();
    } catch (RecordStoreException ex) {
      ex.printStackTrace ();
    }
  }

  private void saveWatchItems (String pRsName) {
    int i;
    String currItem;
    Vector items;
    RecordStore recStore;

    try {
      RecordStore.deleteRecordStore (pRsName);
    } catch (RecordStoreException ex) {
      ex.printStackTrace ();
    }
    try {
      recStore=RecordStore.openRecordStore (pRsName, true);
      items=strani.save ();
      for (i=0; i<items.size (); i++) {
        currItem=(String)items.elementAt (i);
        recStore.addRecord ((currItem).getBytes (), 0, currItem.length ());
      }
      recStore.closeRecordStore ();
    } catch (RecordStoreException ex) {
      ex.printStackTrace ();
    }
  }

  public void nastavi (String pValue, int pId) { //setOption
    nastavitve [pId]=pValue;
  }

  public String getOption (int pId) {
    return nastavitve [pId];
  }

  public void quitApp () {
    saveOptions ("OpazovalecNas");
    saveWatchItems ("OpazovalecZgod");
    instance.destroyApp (true);
    instance.notifyDestroyed ();
    instance=null;
  }

  public void startApp () {
    Display.getDisplay (this).setCurrent (displayable);
  }

  public void pauseApp () {
  }

  public void destroyApp (boolean unconditional) {
  }
}
